# $NetBSD: doc.install.mk,v 1.4 2006/07/30 13:28:25 rillig Exp $

# This file is included by doc.docbook.mk and is not intended to be
# included directly.

DESTDIR?=/tmp/htdocs

#INSTALL_FILES+=	${DOCBOOKCSS}

.for F in ${FORMATS}
install: install-${F}
.endfor

install-html: ${DOC}.html ${INSTALL_FILES}
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}

install-html-split: ${HTML_INDEX} ${MANIFEST} ${INSTALL_FILES}
	mkdir -p ${DESTDIR}
	cp ${HTML_INDEX} `cat ${MANIFEST}` ${DESTDIR}

install-ps: ${DOC}.ps
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}

install-pdf: ${DOC}.pdf
	mkdir -p ${DESTDIR}
	cp $? ${DESTDIR}
